## Line Chart Basics

The public API is terribly simple.  It's just one function:
`Morris.Line(options)`, where options is an object containing some
configuration data.

There are five *mandatory* configuration options:

{% highlight javascript %}
Morris.Line({
  // ID of the element in which to draw the chart.
  element: 'myfirstchart',
  // Chart data records -- each entry in this array corresponds to a point on
  // the chart.
  data: [
    { year: '2008', value: 20 },
    { year: '2009', value: 10 },
    { year: '2010', value: 5 },
    { year: '2011', value: 5 },
    { year: '2012', value: 20 }
  ],
  // The name of the data record attribute that contains x-values.
  xkey: 'year',
  // A list of names of data record attributes that contain y-values.
  ykeys: ['value'],
  // Labels for the ykeys -- will be displayed when you hover over the
  // chart.
  labels: ['Value']
});
{% endhighlight %}

## Area Charts

## Appearance

## Labels

## Hover Legend

